---
categories: network
title: Howto RIPE Atlas
...

Les sondes Atlas peuvent être obtenues auprès du [RIPE](https://atlas.ripe.net/get-involved/become-a-host/). Elles permettent de mesurer la qualité de service d'Internet à l'aide de différents tests (ping, traceroute, dns, …) automatiquement et régulièrement exécutés vers différentes destinations.

Le fait de fournir au RIPE ces tests nous permet de gagner des crédits, utilisables pour faire nos propres tests personnalisables.

## Outil en ligne de commande

On utilise l'outil [ripe-atlas-tools](https://github.com/RIPE-NCC/ripe-atlas-tools) pour faire des tests en ligne de commande.

Documentation : https://ripe-atlas-tools.readthedocs.io/en/latest/

La sonde doit avoir une clef API configurée avec les autorisations "Schedule a new measurement" et "Get results from a non-public measurement".

Il faut ensuite ajouter la clef API de la sonde dans sa configuration :

~~~
ripe-atlas configure --set authorisation.create=YOUR_API_KEY
~~~

### Tests rapide

~~~
aping --target 192.0.2.1
atraceroute --target 192.0.2.1
~~~

Fera par défaut des pings/traceroutes depuis 50 sondes Atlas différentes. La source géographique n'est pas donnée, seule l'ID de la sonde utilisée est affichée.

Le résultat s'affiche sur le terminal. Il peut être revu en se rendant sur l'URL donnée, ou avec l'ID présent dans le lien :

~~~
ripe-atlas report ID
~~~

### Tests plus précis

Voir les AS par lesquels on passe (atraceroute uniquement) :

~~~
--traceroute-show-asns
~~~

Choisir le nombre de sonde sources :

~~~
--probes 2
~~~

Choisir la source :

~~~
--from-asn 65550
--from-country ca
--from-prefix 192.0.2.0/24
--from-probes 1234,5678
--from-area West                 # Options possibles : WW,West,North-Central,South-Central,North-East,South-East
--from-measurement 9876543210    # Permet de rejouer une mesure avec les mêmes paramètres que ceux utilisés par cette mesure
~~~